<%@ page language="java"
	contentType="text/html;charset=Shift_JIS"
	import="java.util.*,java.io.*,openolap.viewer.Report"
%>
<%

	Report report = (Report) session.getAttribute("report");
	String reportName = "";
		if ( report != null ) {
			reportName = report.getReportName();
		}
	String errorMessage = (String) request.getAttribute("errorMessage");
%>
<HTML>
<HEAD>
	<META http-equiv="Content-Type" content="text/html; charset=Shift_JIS">
	<TITLE>OpenOlap viewer</TITLE>
	<link rel="stylesheet" type="text/css" href="./css/common.css">
</HEAD>

<BODY onload="init();">
<FORM name="form_main" method="post">
	<table id="spreadHeader" class="Header" style="border-collapse:collapse;border:none">
	<tr>
	<td valign="top" class="HeaderTitle">
	<%= reportName %>
	</td>
	<td align="right" width=60 style="padding:0">
		<iframe name="loadingStatus" width=60 src="./spread/spreadLoadingStatus.html">
		</iframe>
	</td>
	</tr>
	</table>
</FORM>
</BODY>
</HTML>

<script language="JavaScript">
	function init() {

<%
		if ( errorMessage == null ) {
%>
			document.form_main.action='Controller?action=loadClientInitAct';
			document.form_main.target='info_area';
			document.form_main.submit();
<%
		} else {
%>
			loadingStatus.loadingIMG.src = "../images/logo_anime_stop.gif";
			alert("<%= errorMessage %>");
<%
		}
%>
	}
</script>
